#pragma once

#include "quam/pak.h"
#include "quam/ui_main_window.h"

#include <QMainWindow>
#include <QWidget>

class QAbstractItemModel;
class QErrorMessage;
class QSortFilterProxyModel;

class MainWindow : public QMainWindow, private Ui::MainWindow {
	Q_OBJECT

public:
	explicit MainWindow(QWidget *parent = nullptr);
	virtual ~MainWindow();

public slots:
	void fileOpen();
	void fileClose();

private:
	PakDir                 m_directory;
	QErrorMessage         *m_errors;
	QAbstractItemModel    *m_model;
	QSortFilterProxyModel *m_sorter;
};

// EOF
